Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetInteriorData

Get all quadrature points necessary to compute the interior degrees of freedom from this space, as well as the matrix that computes the degrees of freedom from the quadrature values.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetInteriorData(PetscDualSpace sp, PeOp PetscQuadrature *intNodes, PeOp Mat *intMat)

## Input Parameter

- sp - The dualspace

## Output Parameters

- intNodes - A `PetscQuadrature` object containing all evaluation points needed to evaluate interior degrees of freedom, pass `NULL` if not needed

- intMat - A matrix that computes dual space values from point values: size [spdim0 x (npoints * nc)], where spdim0 is the size of the constrained layout (`PetscSectionGetConstrainStorageSize()`) of the dual space section, npoints is the number of points in intNodes and nc is `PetscDualSpaceGetNumComponents()`. Pass `NULL` if not needed

## Notes

Degrees of freedom are interior degrees of freedom if they belong (by `PetscDualSpaceGetSection()`) to interior points in the references, complementary boundary degrees of freedom are marked as constrained in the section returned by `PetscDualSpaceGetSection()`).

## See Also

`PetscDualSpace`, `PetscQuadrature`, `Mat`, `PetscDualSpaceCreate()`, `PetscDualSpaceGetDimension()`, `PetscDualSpaceGetNumComponents()`, `PetscQuadratureGetData()`

## Level

advanced

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages